<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimableValue.html">AnimableValue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::AnimableValue Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a280f34861f78ae0f9560ce6d49bd2346">AnimableValue</a>(ValueType t)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a0077811577a67da9e17fe0582eddf9d0">applyDeltaValue</a>(int)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a87058d1fc51ccbdeeb7d265d3bc6118a">applyDeltaValue</a>(Real)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a59283e8287fd1e9dc82c02f843809407">applyDeltaValue</a>(const Vector2 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#abb5b33797a6afb9fedbbc12a83c2201e">applyDeltaValue</a>(const Vector3 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a4fe4b177fb24522f3e1325a6e8daab62">applyDeltaValue</a>(const Vector4 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a7db4121de1ba46cbf27fb9d8a0365cf2">applyDeltaValue</a>(const Quaternion &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ad131854d6fc1551de763ea93634d618c">applyDeltaValue</a>(const ColourValue &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a8a546dead00468e8de1a93a853c5bb59">applyDeltaValue</a>(const Degree &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a83b671f2ba59e036b6256ad64cca2ffe">applyDeltaValue</a>(const Radian &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a662bf10183dd75b2786eb4343c63db8c">applyDeltaValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a019d638a0420937709b0ca4ded01a57e">COLOUR</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a67875f169fb2deebc7c3590efbe621f1">DEGREE</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a801dea01990f3cb16def8185159a9e55">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69af2f0a37077706342371d65539e56b295">INT</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ad8012b223d250f482cd3200ed450a36a">mBaseValueInt</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a4e26a76b98c42eda570e551322aff11d">mBaseValueReal</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#aa3a3dfd661bd4fe6c7a64d12a1f99e25">mType</a></td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69ac56bb2149a2092c3a3d834c6def9571a">QUATERNION</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a6821a401bbbad6d7649104b0978c4216">RADIAN</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a3062c18887fcc426f17c19d786edeaef">REAL</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ae544d029ad24ed12090d5ecbb2202ce8">resetToBaseValue</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#aacef098935627873fd41f7b3bd37d3cf">setAsBaseValue</a>(int val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a591cf1fe6aea2bb616b2fb33aa9d89eb">setAsBaseValue</a>(Real val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a4d7deaff8c80d30847824641a1379795">setAsBaseValue</a>(const Vector2 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a79e47a48705265f9d68da37c135d8e07">setAsBaseValue</a>(const Vector3 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ad8b0a714cd9e968c50aba63e073a178e">setAsBaseValue</a>(const Vector4 &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adb6ffb64834d5c87d4f700cd49d8187c">setAsBaseValue</a>(const Quaternion &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a7e9f1daae0fe81ef3bc537673dedcdbb">setAsBaseValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a27a8718feccb76cfe4d541a336bfb6a8">setAsBaseValue</a>(const ColourValue &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#aedb01dc3c980da9d66060621bad6789a">setAsBaseValue</a>(const Radian &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a3331382a6e5baf2fdd863b92a27eeb3f">setAsBaseValue</a>(const Degree &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ab3198ebe772d4ffeac4f5656420b3a3f">setCurrentStateAsBaseValue</a>(void)=0</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a7bf19d59335bc397010e009eaf593288">setValue</a>(int)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a950b8bf6bd5090aa8717215dcba68877">setValue</a>(Real)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a4b0159d919981f3e5f6c69461bda725f">setValue</a>(const Vector2 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a8beaf446718c7169fd6e8580b5a0fa4e">setValue</a>(const Vector3 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a8d6e93903faee8c7a0e557e4852111f9">setValue</a>(const Vector4 &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a61de4fd8eca078570639cb200178a40d">setValue</a>(const Quaternion &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a39c32d892f553e9aa1f45091edabeb74">setValue</a>(const ColourValue &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a1eb74e53e38812bc97931068a4a538db">setValue</a>(const Radian &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ae0bac21aa939447bb48efa668a7b9da4">setValue</a>(const Degree &amp;)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#ac9f25ae01ac3b9cec80df9e7e930bac9">setValue</a>(const Any &amp;val)</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69">ValueType</a> enum name</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a31cb7b9505f0707baee335b0b200a135">VECTOR2</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a4f77f4de37ff20785d425d00dde7864a">VECTOR3</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#adccd62bb2b72c602b9c59ca651256d69a8c429058bd40804133f32ee95337f05b">VECTOR4</a> enum value</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableValue.html#a89c0b065a5d1a3398e2663713bdf5007">~AnimableValue</a>()</td><td><a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
